from flask import *

app = Flask(__name__)

def pagination(tweets,page):
	if page==1:
		return tweets[-20:]
	else:
		return tweets[(page*-20):((page-1)*-20)]

TWEETFILE = "tweets.txt"
USERFILE = "users.txt"
def get_tweets():
	with open(TWEETFILE) as f:
		return f.read().rstrip().split("\n")

@app.route("/")
def index():
	return "wewlad"

@app.route("/api/plain/tweets")
def tweets_get():
	page = int(request.args.get("page",1))
	return "\n".join(pagination(get_tweets(),page))
